#!/bin/sh
set -e

rm -fR build
mkdir -p build
cd build || exit 1
cmake ".." -DCMAKE_INSTALL_PREFIX=/usr -DPREFIX=/usr 
make 
set +e
if [ -x ./test_spandsp ]; then
	./test_spandsp
	if [ $? -ne 0 ];then
		echo "addons not installed, please upgrade your spandsp library first"
		make clean
		exit 1
	fi
fi
set -e
make install
echo successfully compiled and installed
